summaryrefslogtreecommitdiff
path: root/dev-lang/kotlin-bin
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-lang/kotlin-bin
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-lang/kotlin-bin')
-rw-r--r--dev-lang/kotlin-bin/Manifest3
-rw-r--r--dev-lang/kotlin-bin/kotlin-bin-2.3.10.ebuild60
-rw-r--r--dev-lang/kotlin-bin/kotlin-bin-2.3.20.ebuild60
-rw-r--r--dev-lang/kotlin-bin/kotlin-bin-2.3.21.ebuild60
-rw-r--r--dev-lang/kotlin-bin/metadata.xml18
5 files changed, 201 insertions, 0 deletions
diff --git a/dev-lang/kotlin-bin/Manifest b/dev-lang/kotlin-bin/Manifest
new file mode 100644
index 000000000000..6c919afdbe42
--- /dev/null
+++ b/dev-lang/kotlin-bin/Manifest
@@ -0,0 +1,3 @@
+DIST kotlin-compiler-2.3.10.zip 80764672 BLAKE2B ae2d21f7b5ed75b823f15b2689a2f64a27a662d44732cebfdc09f63262ffa45bbd27e6659fbd51260057350cc9bd20d07d5a2108db74b89c97c7ad78b0235cdd SHA512 f942c1c56c86935094eb003ecd8a573b092c95c437ba3eddedb128f6fe2c8b132bfe79997c721d7980271222d2de2c2adc292a8c2c620a0c43eded3a76aa5c54
+DIST kotlin-compiler-2.3.20.zip 83071760 BLAKE2B 1531554741152cc1116796d898a1cd08962962cdc64dabe8408744678b1ea026c303d591868818c24d4f27c24fd7855c8152049dad774670d9288b3af986d741 SHA512 29dda1fa2ad42a7668b39c4714c63661834b03d380606f2e6ca5dafad0d814137986f16e35352e19b82589319c5645eb824a5d9997a90ee2529a4251a6453a5d
+DIST kotlin-compiler-2.3.21.zip 83084350 BLAKE2B e2942d6f2dbc56978734e2b6479532ec0662147941e097b8d1d77c4bd7c20d862791d6149e2a983efcc58b21ec799e039ba28d19c6823ea9bc4bab2eb932eca4 SHA512 cdd569652b356a71c8c74a116d64d57fbd39bef8a76badacf952a3ece315bb51308d1672b300119c08e90fd925d2eac7c938ed4db6ba0e9c8bbf87b9662afce9
diff --git a/dev-lang/kotlin-bin/kotlin-bin-2.3.10.ebuild b/dev-lang/kotlin-bin/kotlin-bin-2.3.10.ebuild
new file mode 100644
index 000000000000..2d14ecc84ef7
--- /dev/null
+++ b/dev-lang/kotlin-bin/kotlin-bin-2.3.10.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit java-pkg-2 wrapper
+
+DESCRIPTION="Statically typed language that targets the JVM and JavaScript"
+HOMEPAGE="https://kotlinlang.org/
+ https://github.com/JetBrains/kotlin/"
+
+SRC_URI="https://github.com/JetBrains/kotlin/releases/download/v${PV}/kotlin-compiler-${PV}.zip"
+S="${WORKDIR}/kotlinc"
+
+LICENSE="Apache-2.0 BSD MIT NPL-1.1"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=virtual/jre-1.8:*
+"
+DEPEND="
+ >=virtual/jdk-1.8:*
+"
+BDEPEND="
+ app-arch/unzip
+"
+
+src_prepare() {
+ default
+
+ rm bin/*.bat || die
+}
+
+src_compile() {
+ :
+}
+
+src_install() {
+ java-pkg_dojar lib/*
+
+ # Follow the Java eclass JAR installation path.
+ local app_home="/usr/share/${PN}"
+
+ exeinto "${app_home}/bin"
+ doexe bin/*
+
+ local -a exes=(
+ kapt
+ kotlin
+ kotlinc
+ kotlinc-js
+ kotlinc-jvm
+ kotlin-dce-js
+ )
+ local exe
+ for exe in "${exes[@]}" ; do
+ make_wrapper "${exe}" "${app_home}/bin/${exe}"
+ done
+}
diff --git a/dev-lang/kotlin-bin/kotlin-bin-2.3.20.ebuild b/dev-lang/kotlin-bin/kotlin-bin-2.3.20.ebuild
new file mode 100644
index 000000000000..2d14ecc84ef7
--- /dev/null
+++ b/dev-lang/kotlin-bin/kotlin-bin-2.3.20.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit java-pkg-2 wrapper
+
+DESCRIPTION="Statically typed language that targets the JVM and JavaScript"
+HOMEPAGE="https://kotlinlang.org/
+ https://github.com/JetBrains/kotlin/"
+
+SRC_URI="https://github.com/JetBrains/kotlin/releases/download/v${PV}/kotlin-compiler-${PV}.zip"
+S="${WORKDIR}/kotlinc"
+
+LICENSE="Apache-2.0 BSD MIT NPL-1.1"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=virtual/jre-1.8:*
+"
+DEPEND="
+ >=virtual/jdk-1.8:*
+"
+BDEPEND="
+ app-arch/unzip
+"
+
+src_prepare() {
+ default
+
+ rm bin/*.bat || die
+}
+
+src_compile() {
+ :
+}
+
+src_install() {
+ java-pkg_dojar lib/*
+
+ # Follow the Java eclass JAR installation path.
+ local app_home="/usr/share/${PN}"
+
+ exeinto "${app_home}/bin"
+ doexe bin/*
+
+ local -a exes=(
+ kapt
+ kotlin
+ kotlinc
+ kotlinc-js
+ kotlinc-jvm
+ kotlin-dce-js
+ )
+ local exe
+ for exe in "${exes[@]}" ; do
+ make_wrapper "${exe}" "${app_home}/bin/${exe}"
+ done
+}
diff --git a/dev-lang/kotlin-bin/kotlin-bin-2.3.21.ebuild b/dev-lang/kotlin-bin/kotlin-bin-2.3.21.ebuild
new file mode 100644
index 000000000000..2d14ecc84ef7
--- /dev/null
+++ b/dev-lang/kotlin-bin/kotlin-bin-2.3.21.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit java-pkg-2 wrapper
+
+DESCRIPTION="Statically typed language that targets the JVM and JavaScript"
+HOMEPAGE="https://kotlinlang.org/
+ https://github.com/JetBrains/kotlin/"
+
+SRC_URI="https://github.com/JetBrains/kotlin/releases/download/v${PV}/kotlin-compiler-${PV}.zip"
+S="${WORKDIR}/kotlinc"
+
+LICENSE="Apache-2.0 BSD MIT NPL-1.1"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=virtual/jre-1.8:*
+"
+DEPEND="
+ >=virtual/jdk-1.8:*
+"
+BDEPEND="
+ app-arch/unzip
+"
+
+src_prepare() {
+ default
+
+ rm bin/*.bat || die
+}
+
+src_compile() {
+ :
+}
+
+src_install() {
+ java-pkg_dojar lib/*
+
+ # Follow the Java eclass JAR installation path.
+ local app_home="/usr/share/${PN}"
+
+ exeinto "${app_home}/bin"
+ doexe bin/*
+
+ local -a exes=(
+ kapt
+ kotlin
+ kotlinc
+ kotlinc-js
+ kotlinc-jvm
+ kotlin-dce-js
+ )
+ local exe
+ for exe in "${exes[@]}" ; do
+ make_wrapper "${exe}" "${app_home}/bin/${exe}"
+ done
+}
diff --git a/dev-lang/kotlin-bin/metadata.xml b/dev-lang/kotlin-bin/metadata.xml
new file mode 100644
index 000000000000..6d27dfa0b6a9
--- /dev/null
+++ b/dev-lang/kotlin-bin/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>xgqt@gentoo.org</email>
+ <name>Maciej Barć</name>
+ </maintainer>
+ <longdescription>
+ Kotlin is a statically typed language that targets the JVM and JavaScript.
+ It is a general-purpose language intended for industry use. It is developed
+ by a team at JetBrains although it is an OSS language and has external
+ contributors.
+ </longdescription>
+ <upstream>
+ <bugs-to>https://github.com/JetBrains/kotlin/issues/</bugs-to>
+ </upstream>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>